List attributeSets

命名空间:microsoft.graph

重要

Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。

获取 attributeSet 对象 及其属性的列表。

权限

要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限

权限类型 权限(从最低特权到最高特权)
委派(工作或学校帐户) CustomSecAttributeDefinition.Read.All、CustomSecAttributeDefinition.ReadWrite.All
委派(个人 Microsoft 帐户) 不支持。
应用程序 CustomSecAttributeDefinition.Read.All、CustomSecAttributeDefinition.ReadWrite.All

还必须为登录用户分配以下目录角色之

  • 属性分配读取器
  • 属性定义读取器
  • 属性分配管理员
  • 属性定义管理员

默认情况下,全局管理员和其他管理员角色没有读取、定义或分配自定义安全属性的权限。

HTTP 请求

GET /directory/attributeSets

可选的查询参数

此方法支持使用 $select$top$orderBy OData 查询参数来帮助自定义响应。 若要了解一般信息,请参阅 OData 查询参数

请求标头

名称 说明
Authorization Bearer {token}。必需。

请求正文

请勿提供此方法的请求正文。

响应

如果成功,此方法在响应 200 OK 正文中返回 响应代码和 attributeSet 对象集合。

示例

示例 1:获取所有属性集

以下示例获取租户中所有属性集。

请求

GET https://graph.microsoft.com/beta/directory/attributeSets

响应

HTTP/1.1 200 OK
Content-Type: application/json

{
    "@odata.context": "https://graph.microsoft.com/beta/$metadata#directory/attributeSets",
    "value": [
        {
            "description": "Attributes for engineering team",
            "id": "Engineering",
            "maxAttributesPerSet": 25
        },
        {
            "description": "Attributes for marketing team",
            "id": "Marketing",
            "maxAttributesPerSet": 25
        }
    ]
}

示例 2:获取顶级属性集

以下示例获取支持分页的前 10 个属性集。

请求

GET https://graph.microsoft.com/beta/directory/attributeSets?$top=10

响应

HTTP/1.1 200 OK
Content-Type: application/json

{
    "@odata.context": "https://graph.microsoft.com/beta/$metadata#directory/attributeSets",
    "@odata.nextLink": "https://graph.microsoft.com/beta/directory/attributeSets?$top=10&$skiptoken={skiptoken}",
    "value": [
        {
            "description": "Attributes for engineering team",
            "id": "Engineering",
            "maxAttributesPerSet": 25
        },
        {
            "description": "Attributes for marketing team",
            "id": "Marketing",
            "maxAttributesPerSet": 25
        }
    ]
}

示例 3:按顺序获取属性集

以下示例按 id 排序获取属性集。

请求

GET https://graph.microsoft.com/beta/directory/attributeSets?$orderBy=id

响应

HTTP/1.1 200 OK
Content-Type: application/json

{
    "@odata.context": "https://graph.microsoft.com/beta/$metadata#directory/attributeSets",
    "value": [
        {
            "description": "Attributes for applications",
            "id": "Application",
            "maxAttributesPerSet": 25
        },
        {
            "description": "Attributes for engineering team",
            "id": "Engineering",
            "maxAttributesPerSet": 25
        }
    ]
}